from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.awt import XWindow

@runtime_checkable
class XPlayerWindow(XWindow, Protocol):
    def update(self) -> None: ...
    def setZoomLevel(self, ZoomLevel: ZoomLevel) -> bool: ...
    def getZoomLevel(self) -> ZoomLevel: ...
    def setPointerType(self, SystemPointerType: int) -> None: ...
